#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define	module	zope.exceptions
Summary:	Zope Exceptions
Name:		python-%{module}
Version:	4.0.8
Release:	3
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/8f/b7/eba9eca6841fa47d9a30f71a602be7615bff4f8e11f85c2840b88a77c68a/zope.exceptions-4.0.8.tar.gz
# Source0-md5:	c6f9b3905a48ba0487f82d95fba71c0c
URL:		http://www.zope.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-setuptools
%endif
%pyrequires_eq	python-modules
Obsoletes:	Zope-Exceptions
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains exception exceptions and implementations which are so
general purpose that they don’t belong in Zope application-specific packages.

%package -n python3-%{module}
Summary:	Zope Exceptions
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
This package contains exception exceptions and implementations which are so
general purpose that they don’t belong in Zope application-specific packages.

%prep
%setup -q -n zope.exceptions-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install \
	--install-purelib=%{py_sitedir}
%py_postclean
%endif

%if %{with python3}
%py3_install \
	--install-purelib=%{py3_sitedir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/exceptions
%{py_sitedir}/zope.exceptions-*.egg-info
%{py_sitedir}/zope.exceptions-*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitedir}/zope/exceptions
%{py3_sitedir}/zope.exceptions-*.egg-info
%{py3_sitedir}/zope.exceptions-*-nspkg.pth
%endif
%changelog
* Sun Jul 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.exceptions.git;a=log;h=master

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ee4e915
- release 3 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c6dcd06
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8ba5e1d
- python2/python3 bconds fixes

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> e081423
- renamed to python-zope.exceptions, Py3 support

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8e88bdb
- new package

